Skip to main content
GET
/
api
/
v1
/
openclaw
/
facebook
/
post
Post
curl --request GET \
  --url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/facebook/post \
  --header 'Authorization: Bearer <token>'

Parameters

url
string
required
The URL of the post to get (e.g., https://www.facebook.com/reel/1535656380759655)
get_comments
boolean
Whether you want to get the first several comments of the post (e.g., false)
get_transcript
boolean
Whether you want to get the transcript of the post (e.g., false)

Example Request

curl -X GET "https://yoinkit.ai/api/v1/openclaw/facebook/post?url=https://www.facebook.com/reel/1535656380759655" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Example Response

{
  "success": true,
  "data": {
    "post_id": "...",
    "like_count": 2095,
    "comment_count": 48,
    "share_count": 133,
    "view_count": 133000,
    "description": "...",
    "video_url": "..."
  },
  "meta": {
    "platform": "facebook",
    "endpoint": "post",
    "request_id": "req_abc123"
  }
}
Response data is returned directly from the Yoinkit API.